# generated by cabal-rpm-0.12.5
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name explicit-exception
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.1.9.2
Release:        1%{?dist}
Summary:        Exceptions which are explicit in the type signature

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
Synchronous and Asynchronous exceptions which are explicit in the type
signature. The first ones are very similar to 'Either' and
'Control.Monad.Error.ErrorT'. The second ones are used for 'System.IO.readFile'
and 'System.IO.hGetContents'. This package is a proposal for improved exception
handling in Haskell. It strictly separates between handling of exceptional
situations (file not found, invalid user input, see
<http://www.haskell.org/haskellwiki/Exception>) and (programming) errors
(division by zero, index out of range, see
<http://www.haskell.org/haskellwiki/Error>). Handling of the first one is
called "exception handling", whereas handling of errors is better known as
"debugging".


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files


%changelog
* Mon Jul 23 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.9.2-1
- spec file generated by cabal-rpm-0.12.5
